## OzCommands.tcl



set ozValueOk 0


proc OzValueDlg {title prompt default numChars} {
	global   ozValueOk  ozResult


	catch { destroy .valueDlg }

	toplevel .valueDlg

	wm title .valueDlg  $title

	frame .valueDlg.frame
	frame .valueDlg.buttons
	pack .valueDlg.frame .valueDlg.buttons -side top -fill x

	message .valueDlg.frame.msg -text $prompt -aspect 1000
	entry .valueDlg.frame.entry -textvariable ozResult -width $numChars
	if {$numChars < 20} {
		pack .valueDlg.frame.msg .valueDlg.frame.entry  -side left -fill x
	}  else {
		pack .valueDlg.frame.msg .valueDlg.frame.entry  -side top -fill x
	}

	pack .valueDlg.frame.entry -pady 5

	button .valueDlg.buttons.ok  -text OK -command {set ozValueOk 1}
	pack .valueDlg.buttons.ok -side bottom

	bind .valueDlg.frame.entry <Return> {set ozValueOk 1 ; break}

	focus .valueDlg.frame.entry

	set ozResult $default
	set ozValueOk 0
	tkwait variable ozValueOk
	#puts "ozValueOk = $ozValueOk"
	if {$ozValueOk == 0} {
		set ozResult ""
	}

	#puts "OzValueDlg = $ozResult"
	destroy .valueDlg
}
 



proc OzListDlg {title prompt values} {
	global   ozValueOk  ozResult


	catch { destroy .listDlg }

	toplevel .listDlg 
	wm title .listDlg  $title

	frame .listDlg.frame 
	frame .listDlg.buttons
	pack .listDlg.frame .listDlg.buttons -side top -fill x

	message .listDlg.frame.msg -text $prompt -aspect 1000

	listbox .listDlg.frame.listbox -width 30 \
		-yscrollcommand ".listDlg.frame.yscroll set"

	scrollbar .listDlg.frame.yscroll  \
		-command ".listDlg.frame.listbox yview"
	pack .listDlg.frame.yscroll -side right -fill y

	pack .listDlg.frame.msg .listDlg.frame.listbox -pady 5

	button .listDlg.buttons.ok  -text OK -command  {set ozValueOk 1}
	pack .listDlg.buttons.ok -side bottom

	bind .listDlg.frame.listbox <Double-Button-1> {set ozValueOk 1 ; break}

	foreach x $values {
		.listDlg.frame.listbox insert end $x
	}
	.listDlg.frame.listbox selection set 0


	set ozResult ""
	set ozValueOk 0
	tkwait variable ozValueOk
	#puts "ozValueOk = $ozValueOk"
	if {$ozValueOk == 0} {
		set ozResult ""
	} else {
		set itemNo [.listDlg.frame.listbox curselection]
		set itemStr [.listDlg.frame.listbox get $itemNo]
	set ozResult "$itemNo $itemStr"
	}

	puts "OzlistDlg = $ozResult"
	destroy .listDlg
}




#  display file in teXt dialog
proc OzTextDlg {fileName} {

	if { [file readable $fileName ] }  {
		set fileId [ open $fileName "r" ]
		set data [ read $fileId ]
		close $fileId

		catch { destroy .textDlg }

		toplevel .textDlg

		wm title .textDlg  "Text Display"

		frame .textDlg.frame
		frame .textDlg.buttons
		pack .textDlg.frame .textDlg.buttons -side top -fill x

		text .textDlg.frame.txt  \
			-font {-family Courier -size 10}  \
			-yscrollcommand ".textDlg.frame.yscroll set"
		scrollbar .textDlg.frame.yscroll \
			-command ".textDlg.frame.txt yview"


		pack .textDlg.frame.yscroll -side right -fill y

		pack .textDlg.frame.txt -side left

		button .textDlg.buttons.cancel  -text Cancel \
			-command {destroy .textDlg}
		pack .textDlg.buttons.cancel -side bottom

		.textDlg.frame.txt insert 1.0 $data
		
	}
}